<%-- 
    Document   : el2
    Created on : 2017-11-11, 21:32:54
    Author     : hyl
--%>
<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ page import="java.util.*" %>
<%
        HashMap values = new HashMap();
        values.put("money", "沪指今日大涨200点！");
        values.put("热点", "嫦娥一号发回第一幅月球照片！");
        values.put("奥运", "奥运会准备一切就绪！");
        String newscolor="blue";
     request.setAttribute("news",values);
    request.setAttribute("color",newscolor);
   %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>EL表达式的存取符和隐含对象</title>
    </head>
    <body>
    <h1>    Hello ${param.name}!</h1>
    <font  color="${requestScope.color}" >
        <h3>
            财经：${requestScope.news.money}<br>  
            热点：${requestScope.news.热点}<br>
            奥运：${requestScope.news["奥运"]}<br>
            其它：${requestScope.news.other}
        </h3></font>
    </body>
</html>

